| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_SEQ_POP_FRONT

BOOST_VMD_SEQ_POP_FRONT — pops an element from the front of a seq.

## Synopsis

    // In header: <boost/vmd/seq/pop_front.hpp>

    BOOST_VMD_SEQ_POP_FRONT(seq)

## Description

seq = seq to pop an element from.

If the seq is an empty seq the result is undefined. If the seq is a single element the result is an empty seq. Otherwise the result is a seq after removing the first element.